Subject: Re: bug#31044: 25.3; Memory use explodes splitting email into gnus nnfolders

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Apr 2018 17:16:58 +0300

> From: Alexandre Oliva <[email-masked]>
> Date: Tue, 03 Apr 2018 05:39:25 -0300
> 
> 
> I have some 5 GB of active gnus nnfolder files.  Emacs memory use, in a
> fresh -nw remote session, skyrocketed to over 55GB while splitting some
> 150MB of email.  This happened to me today.
> 
> However, this has not been unusual.  Smaller batches of email have often
> used up over 20GB of RAM; my poor x200, limited to 8GB of RAM, hasn't
> been able to split my mail any more for months; I can't promise this
> started with 25.3, it may have been before that, but some older version
> of Emacs had little trouble splitting similar aomunts of email onto
> pretty much the same set of folders with 8GB, and even 4GB of RAM,
> though the latter was already pushing it a longer while ago.

Can you try the latest pretest of Emacs 26.1 (it's available from
alpha.gnu), or building the emacs-26 branch of the Emacs Git
repository?  This could be due to some memory related issues that are
supposed to be fixed in Emacs 26.

Thanks.